%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom
%define xulrunner 1.9
%define xullibname %mklibname xulrunner %xulrunner
%define xulver %(rpm -q --queryformat %%{VERSION} %xullibname)

Name: chmsee
Version: 1.0.4
Release: %mkrel 2
Summary: A Gtk+2 based CHM viewer
License: GPLv2+
URL: http://code.google.com/p/chmsee/
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: http://chmsee.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires: libglade2.0-devel
BuildRequires: xulrunner-devel-unstable
BuildRequires: openssl-devel
BuildRequires: libgcrypt-devel
BuildRequires: chmlib-devel
BuildRequires: intltool
BuildRequires: imagemagick
Requires: %xullibname = %xulver

%description
ChmSee is an HTML Help viewer for Unix/Linux. It is based on CHMLIB
and use Gtk2+ as frontend toolkit. Because of using gecko as HTML
rendering engine, ChmSee can support rich features of modern HTML
page, such as CSS and JavaScript.

%prep
%setup -q

%build
%configure2_5x --with-gecko=libxul
%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %buildroot%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
install -p -m 644 -D data/chmsee-icon.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/chmsee.png
convert data/chmsee-icon.png -resize 16x16 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/chmsee.png
convert data/chmsee-icon.png -resize 32x32 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/chmsee.png

%find_lang %name

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/chmsee
%{_mandir}/man1/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/*/apps/*.png

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%update_mime_database
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%clean_mime_database
%endif


%changelog
* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.4-2mdv2009.1
+ Revision: 361839
- rebuild for xulrunner 1.9.0.8

* Mon Mar 16 2009 Funda Wang <fundawang@mandriva.org> 1.0.4-1mdv2009.1
+ Revision: 355844
- New version 1.0.4

* Tue Feb 03 2009 Funda Wang <fundawang@mandriva.org> 1.0.3-2mdv2009.1
+ Revision: 337034
- rebuild for new xulrunner

* Sat Jan 10 2009 Funda Wang <fundawang@mandriva.org> 1.0.3-1mdv2009.1
+ Revision: 328030
- New version 1.0.3

* Thu Jan 08 2009 Funda Wang <fundawang@mandriva.org> 1.0.2-1mdv2009.1
+ Revision: 327124
- New version 1.0.2

* Wed Dec 24 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-3mdv2009.1
+ Revision: 318259
- fix str fmt
- rediff gecko root patch
- rebuild for new xulrunner

* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 289237
- rebuild for new xulrunner

* Wed Jul 30 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 255272
- New version 1.0.1
- build with xulrunner

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-10mdv2009.0
+ Revision: 236368
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 1.0.0-9mdv2009.0
+ Revision: 231244
- Rebuild for firefox 2.0.0.15

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Apr 19 2008 Funda Wang <fundawang@mandriva.org> 1.0.0-8mdv2009.0
+ Revision: 195741
- rebuild for FF 2.0.0.14

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 1.0.0-7mdv2008.1
+ Revision: 190451
- rebuild for firefox 2.0.0.13

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 1.0.0-6mdv2008.1
+ Revision: 164623
- rebuild for new FF
- rebuild for new ff

* Mon Nov 12 2007 Funda Wang <fundawang@mandriva.org> 1.0.0-4mdv2008.1
+ Revision: 108220
- rebuild for ff 2.0.0.9

* Fri Oct 19 2007 Funda Wang <fundawang@mandriva.org> 1.0.0-3mdv2008.1
+ Revision: 100457
- rebuild for new FF 2.0.0.8

* Thu Oct 18 2007 Funda Wang <fundawang@mandriva.org> 1.0.0-2mdv2008.1
+ Revision: 99848
- Rebuild against FF 2.0.0.7

* Sun Sep 16 2007 Funda Wang <fundawang@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 88394
- Update mime also
- add fedora patch
- use hicolor icon theme
- Add build patch
- more firefox family requires style
- add description
- Created package structure for chmsee.

